Exchange a tokenless GitHub Actions token for an Argos token
Called by GitHub Actions to exchange a tokenless bearer token for a short-lived Argos project token. The provided commit and branch must match the GitHub workflow run.
Called by GitHub Actions to exchange a tokenless bearer token for a short-lived Argos project token. The provided commit and branch must match the GitHub workflow run.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/auth/github-actions/tokenless/exchange" \ -H "Content-Type: application/json" \ -d '{ "tokenlessToken": "string", "commit": "string", "branch": "string" }'{ "token": "string", "expiresAt": "string"}Exchange a GitHub Actions OIDC token for an Argos token POST
Called by GitHub Actions to exchange an OIDC token for a short-lived Argos project token.
Create a build POST
Create a build and receive signed upload targets for its screenshots and Playwright traces. The response lists, for every file Argos doesn't already have, a secure `postUrl` with `fields` (or a legacy `putUrl`) to upload it to. Supports single and parallel builds.